View Issue Details

IDProjectCategoryView StatusLast Update
0032897Open CASCADEOCCT:Testspublic2022-04-04 21:22
Reporterkgv Assigned Tokgv  
PrioritynormalSeverityfeature 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032897: Tests - include elapsed time into test log
Descriptiontestgrid puts "MEMORY DELTA" and "TOTAL CPU TIME" to each test case log, and "Elapsed time" for entire testgrid.
In some cases it might be useful logging elapsed time for each test case.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Activities

git

2022-03-30 21:39

administrator   ~0107488

Branch CR32897 has been created by kgv.

SHA-1: 94b590c9d4e19399995fd0a2ce06e965130cad45


Detailed log of new commits:

Author: kgv
Date: Wed Mar 30 21:38:14 2022 +0300

    0032897: Tests - include elapsed time into test log
    
    Added "ELAPSED TIME" to test case log.
    Improved syntax of chrono/dchrono command:
    added -elapsed, -userCPU, -sysCPU options printing individual values in seconds.
    
    OSD_Chronometer::IsThisThreadOnly() - added missing accessors to the property.

git

2022-03-30 23:28

administrator   ~0107489

Branch CR32897 has been updated forcibly by kgv.

SHA-1: 78132e201d123b71212b3bf7f6524018e53c25e3

git

2022-03-30 23:30

administrator   ~0107490

Branch CR32897 has been updated forcibly by kgv.

SHA-1: a8bb20d0d7bad745b6414af8a2a9d6df52b5b192

kgv

2022-03-30 23:35

developer   ~0107492

Last edited: 2022-03-30 23:36

kgv

2022-03-30 23:36

developer   ~0107493

Patch is ready for review
- OCCT: branch CR32897;
- OCC Products: branch CR32897.

osa

2022-03-31 09:50

developer   ~0107500

The patch was reviewed

git

2022-03-31 12:15

administrator   ~0107507

Branch CR32897 has been updated forcibly by kgv.

SHA-1: 95355797c8dcf36b089c51beeb6df2292be9b250

smoskvin

2022-04-02 10:41

administrator   ~0107550

Combination -
OCCT branch : IR-2022-04-01
master SHA - 2491eec38b451da5bf60120d3f16ac1187c24423
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-04-01 SHA - bbe72d9e894efff6e87c530e491f58eeac18009a
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18490.900000000318 / 18508.35000000038 [-0.09%]
Products
Total CPU difference: 11719.920000000124 / 11705.520000000122 [+0.12%]
Windows-64-VC14:
OCCT
Total CPU difference: 20552.71875 / 20452.9375 [+0.49%]
Products
Total CPU difference: 13242.609375 / 13195.0 [+0.36%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-04-04 21:22

administrator   ~0107610

Branch CR32897 has been deleted by kgv.

SHA-1: 95355797c8dcf36b089c51beeb6df2292be9b250

Related Changesets

occt: master 2491eec3

2022-03-30 21:38:14

kgv


Committer: smoskvin Details Diff
0032897: Tests - include elapsed time into test log

Added "ELAPSED TIME" to test case log.
Improved syntax of chrono/dchrono command:
added -elapsed, -userCPU, -sysCPU options printing individual values in seconds.

OSD_Chronometer::IsThisThreadOnly() - added missing accessors to the property.
Affected Issues
0032897
mod - src/Draw/Draw_BasicCommands.cxx Diff File
mod - src/Draw/Draw_Chronometer.cxx Diff File
mod - src/Draw/Draw_Chronometer.hxx Diff File
mod - src/DrawResources/TestCommands.tcl Diff File
mod - src/OSD/OSD_Chronometer.cxx Diff File
mod - src/OSD/OSD_Chronometer.hxx Diff File
mod - tests/perf/mesh/bug27626 Diff File
mod - tests/perf/modalg/bug25742_2 Diff File

occt-products: master bbe72d9e

2022-03-30 23:33:36

kgv

Details Diff
0032897: Tests - include elapsed time into test log Affected Issues
0032897
mod - diff Diff File
mod - diff Diff File
mod - tests/pmivis/import/notes Diff File

Issue History

Date Modified Username Field Change
2022-03-30 21:29 kgv New Issue
2022-03-30 21:29 kgv Assigned To => kgv
2022-03-30 21:39 git Note Added: 0107488
2022-03-30 23:28 git Note Added: 0107489
2022-03-30 23:30 git Note Added: 0107490
2022-03-30 23:35 kgv Note Added: 0107492
2022-03-30 23:36 kgv Assigned To kgv => osa
2022-03-30 23:36 kgv Status new => resolved
2022-03-30 23:36 kgv Test case number => N/A
2022-03-30 23:36 kgv Note Edited: 0107492
2022-03-30 23:36 kgv Note Added: 0107493
2022-03-31 09:50 osa Assigned To osa => bugmaster
2022-03-31 09:50 osa Status resolved => reviewed
2022-03-31 09:50 osa Note Added: 0107500
2022-03-31 12:15 git Note Added: 0107507
2022-04-02 10:41 smoskvin Status reviewed => tested
2022-04-02 10:41 smoskvin Note Added: 0107550
2022-04-02 19:35 kgv Changeset attached => occt-products master bbe72d9e
2022-04-02 19:35 kgv Assigned To bugmaster => kgv
2022-04-02 19:35 kgv Status tested => verified
2022-04-02 19:35 kgv Resolution open => fixed
2022-04-02 19:35 smoskvin Changeset attached => occt master 2491eec3
2022-04-04 21:22 git Note Added: 0107610